#!/bin/ksh
# Licensed Materials - Property of IBM
# 5724-S67
# (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
act_log_file="../log/`basename $PROPSFILE`.log";
export act_log_file
echo "[`date`] Processing started" >$act_log_file
rm "trick.file"
# special check for both empty parameters
if [ "$OPTION2" = "" ];
then
    if [ "$OPTION3" = "" ];
    then
      # position 1-EE
      echo "[`date`] ERROR: management and runtime log pathes are empty ">>$act_log_file;
      echo "[`date`] Processing finished [FAILURE]">>$act_log_file
      exit 1
    fi
fi
`../bin/getitfim_shared.sh "$TEMPFILE1" "$OPTION2" "runtime" "$PROPSFILE"`
if [ $? -eq 0 ];
then
   exit 0;
else 
   if [ "$OPTION3" = "" ];
   then
      echo "[`date`] WARNING: management log path is empty ">>$act_log_file;
      echo "[`date`] Processing finished [FAILURE]">>$act_log_file
      exit 1;
   fi
   # it means that runtime collect was NOT SUCCESS
   touch "trick.file"
fi

exit 0
