@echo off
set TEMP_FILE1=%1
set TEMP_FILE2=%2
set TEMP_FILE3=%3
set TEMP_FILE4=%4
set SRV_AUD=%5
set SRV_AUD_ARCH=%6
set SRV_ERR=%7
set SRV_ERR_ARCH=%8
set ADM_DMN_AUD=%9
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
SHIFT
set ADM_DMN_AUD_LOG_ARCH=%1
set ADM_DMN_ERR_LOG=%2
set ADM_DMN_ERR_LOG_ARCH=%3
set PATH_GET=%5
set PROPS_FILE=%6
set LOG_FILE="..\log\%PROPS_FILE%.log"
echo [%date%][%time%] "Processing started ..."> %LOG_FILE%

if %TEMP_FILE1% EQU "" (
  echo Failure: Missing OUTPUT_FILE argument>> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)
if %TEMP_FILE2% EQU "" (
  echo Failure: Missing OUTPUT_FILE argument>> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)
if %TEMP_FILE3% EQU "" (
  echo Failure: Missing OUTPUT_FILE argument>> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)
if %TEMP_FILE4% EQU "" (
  echo Failure: Missing OUTPUT_FILE argument>> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)
 copy nul %TEMP_FILE1%
  copy nul %TEMP_FILE2%
   copy nul %TEMP_FILE3%
    copy nul %TEMP_FILE4%
if %SRV_AUD% EQU "" (
  echo Failure: Missing SRV_AUD argument >> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)

if %SRV_AUD_ARCH% EQU "" (
  for /f "delims=" %%i in ('@echo "%SRV_AUD%"') do (SET SRV_AUD_ARCH=%%~dpi)
)
if %SRV_ERR% EQU "" (
  echo Failure: Missing SRV_ERR argument >> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)

if %SRV_ERR_ARCH% EQU "" (
  for /f "delims=" %%i in ('@echo "%SRV_ERR%"') do (SET SRV_ERR_ARCH=%%~dpi)
)

if %ADM_DMN_AUD% EQU "" (
  echo Failure: Missing ADM_DMN_AUD argument >> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)

if %ADM_DMN_AUD_LOG_ARCH% EQU "" (
  
  for /f "delims=" %%i in ('@echo "%ADM_DMN_AUD%"') do (SET ADM_DMN_AUD_LOG_ARCH=%%~dpi)

)

if %ADM_DMN_ERR_LOG% EQU "" (
  echo Failure: Missing ADM_DMN_ERR_LOG argument >> %LOG_FILE%
  echo [%date%][%time%] "Processing finished [FAILURE]">> %LOG_FILE%
  exit /b 1
)

if %ADM_DMN_ERR_LOG_ARCH% EQU "" (
 
  for /f "delims=" %%i in ('@echo "%ADM_DMN_ERR_LOG%"') do (SET ADM_DMN_ERR_LOG_ARCH=%%~dpi)
)
if %PATH_GET% NEQ "" (
set PATH_GET=%PATH_GET%\
)

for /F "delims=" %%i in ('@echo %PATH_GET%') do (set PATH_GET=%%~dpi) 

%PATH_GET%java  -classpath "../bin/getitdslogs.jar" nl.consul.cea.gensub.itds.java.GetITDSLogs ~temp_file?%TEMP_FILE1% ~act_log?%SRV_AUD% ~aud_log_arch?%SRV_AUD_ARCH% ~props_file?%PROPS_FILE% 1>> %LOG_FILE% 2>&1

if %errorlevel% NEQ 0 (
  echo Failure: Collect process failed>> %LOG_FILE%
  echo [%date%][%time%] "Failure collecting server audit logs.">> %LOG_FILE%
)

set errors=%errorlevel%
%PATH_GET%java  -classpath "../bin/getitdslogs.jar" nl.consul.cea.gensub.itds.java.GetITDSLogs ~temp_file?%TEMP_FILE2% ~act_log?%SRV_ERR% ~aud_log_arch?%SRV_ERR_ARCH% ~props_file?%PROPS_FILE% 1>> %LOG_FILE% 2>&1
if %errorlevel% NEQ 0 (
  echo Failure: Collect process failed>> %LOG_FILE%
  echo [%date%][%time%] "Failure collecting server audit error logs.">> %LOG_FILE%
  
)
set errore=%errorlevel%
%PATH_GET%java  -classpath "../bin/getitdslogs.jar" nl.consul.cea.gensub.itds.java.GetITDSLogs ~temp_file?%TEMP_FILE3% ~act_log?%ADM_DMN_AUD% ~aud_log_arch?%ADM_DMN_AUD_LOG_ARCH% ~props_file?%PROPS_FILE% 1>> %LOG_FILE% 2>&1
if %errorlevel% NEQ 0 (
  echo Failure: Collect process failed>> %LOG_FILE%
  echo [%date%][%time%] "Failure collecting admin audit logs.">> %LOG_FILE%
 
)
set errora=%errorlevel%
%PATH_GET%java  -classpath "../bin/getitdslogs.jar" nl.consul.cea.gensub.itds.java.GetITDSLogs ~temp_file?%TEMP_FILE4% ~act_log?%ADM_DMN_ERR_LOG% ~aud_log_arch?%ADM_DMN_ERR_LOG_ARCH% ~props_file?%PROPS_FILE% 1>> %LOG_FILE% 2>&1
if %errorlevel% NEQ 0 (
  echo Failure: Collect process failed>> %LOG_FILE%
  echo [%date%][%time%] "Failure collecting admin audit error logs.">> %LOG_FILE%  
  )
set errorae=%errorlevel%

if %errors% NEQ 0 (
    if %errore% NEQ 0 (
        if %errora% NEQ 0 (
            if %errorae% NEQ 0 (
rm %TEMP_FILE1%
rm %TEMP_FILE2%
rm %TEMP_FILE3%
rm %TEMP_FILE4%
echo [%date%][%time%] "ERROR: Failure collecting logs." >> %LOG_FILE%
exit /b 1
))))
echo [%date%][%time%] "Processing finished" >> %LOG_FILE%

exit /b 0