#!/bin/ksh
# Licensed Materials - Property of IBM
# 5724-S67
# (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
act_log_file="../log/`basename $PROPSFILE`.log";

export act_log_file

`../bin/getitfim_shared.sh "$TEMPFILE2" "$OPTION3" "management" "$PROPSFILE"`

if [ $? -eq 0 ];
then
    echo "[`date`] Processing finished [SUCCESS]">>$act_log_file
    exit 0;
else
    if [ "$OPTION2" = "" ];
    then
       echo "[`date`] Processing finished [FAILURE]">>$act_log_file
       exit 1;
    fi
    if [ -f "trick.file" ];
    then
       echo "[`date`] Processing finished [FAILURE]">>$act_log_file
       exit 1;
    fi
    if [ -f "$TEMPFILE1" ];
    then
        echo "[`date`] Processing finished [SUCCESS]">>$act_log_file
        exit 0;
    else
        echo "[`date`] Processing finished [FAILURE]">>$act_log_file
        exit 1;
    fi
fi

echo "[`date`] Processing finished [SUCCESS]">>$act_log_file
exit 0
