@echo off


set TEMP_FILE1=%1
set GROUP=%2
set USER=%3
set PASSWORD=%4
set CONF_PATH=%5
set PROPS_FILE=%6

set LOG_FILE="..\log\%PROPS_FILE%.log"
set CONF_PATH=%CONF_PATH:\=/%
set datetime=[%date%] [%time%]


echo %datetime% Starting gettamgroups applet... > %LOG_FILE%

if %TEMP_FILE1% EQU "" (
  echo Failure: Missing TEMP_FILE argument >> %LOG_FILE%
  echo %datetime% Processing finished [FAILURE] >> %LOG_FILE%
  exit /b 1
)

if %USER% EQU "" (
  echo Failure: Missing USERNAME argument >> %LOG_FILE%
  echo %datetime% Processing finished [FAILURE] >> %LOG_FILE%
  exit /b 1
)

if %PASSWORD% EQU "" (
  echo Failure: Missing PASSWORD argument >> %LOG_FILE%
  echo %datetime% Processing finished [FAILURE] >> %LOG_FILE%
  exit /b 1
)

if %CONF_PATH% EQU "" (
  echo Failure: Missing CONF_PATH argument >> %LOG_FILE%
  echo %datetime% Processing finished [FAILURE] >> %LOG_FILE%
  exit /b 1
)

set TMP="../bin/gettamgroups.jar"


call java -classpath %TMP% nl.consul.cea.gensub.tamuis.java.gettamgroups %TEMP_FILE1% %USER% %PASSWORD% %CONF_PATH% 1>> %LOG_FILE% 2>&1


if %errorlevel% NEQ 0 (
  echo Failure: Collect process failed>> %LOG_FILE%
  echo %datetime% Processing finished [FAILURE]>> %LOG_FILE%
  exit /b 1
)

echo %datetime% Processing finished >> %LOG_FILE%
exit /b 0
